summaryrefslogtreecommitdiffstats
path: root/bin/launch
diff options
context:
space:
mode:
Diffstat (limited to 'bin/launch')
-rwxr-xr-xbin/launch5
1 files changed, 5 insertions, 0 deletions
diff --git a/bin/launch b/bin/launch
index 50c2b72..ee30dba 100755
--- a/bin/launch
+++ b/bin/launch
@@ -2,8 +2,13 @@
set -eu
set -o pipefail
+script_path="$(realpath "$(dirname "$0")")"
+secrets_bin="${script_path}/secrets"
+
case "$1" in
tozt|algo)
+ "$secrets_bin" open
+ trap '"$secrets_bin" close' EXIT
"$(dirname "$0")/helpers/launch-$1"
;;
*)